Graph Queries

GET /api/v1/graphs/{id}/versions/{version_id}/nodes/query

Get query Nodes

queryNodes queries nodes with filters

Parameters

NameInTypeRequired
idpathstringtrue
version_idpathstringtrue

Response

Type: map[string]interface{}

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/graphs/{id}/versions/{version_id}/nodes/query

POST /api/v1/graphs/{id}/versions/{version_id}/query

Create execute Graph Query

Execute a query on a graph version’s DGraph namespace

Parameters

NameInTypeRequired
idpathstringtrue
version_idpathstringtrue

Response

Type: map[string]interface{}

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  https://api.seeme.ai/api/v1/graphs/{id}/versions/{version_id}/query